| Home | Libraries | People | FAQ | More

#### buffer_copy (26 of 30 overloads)

Copies a limited number of bytes from a source buffer to a target buffer sequence.

    template<
        typename MutableBufferSequence>
    std::size_t buffer_copy(
        const MutableBufferSequence & target,
        const const_buffer & source,
        std::size_t max_bytes_to_copy);

###### Parameters

target

  A modifiable buffer sequence representing the memory regions to which the bytes will be copied.

source

  A non-modifiable buffer representing the memory region from which the bytes will be copied.

max_bytes_to_copy

  The maximum number of bytes to be copied.

###### Return Value

The number of bytes copied.

###### Remarks

The number of bytes copied is the lesser of:

- `buffer_size(target)`
- `buffer_size(source)`
- `max_bytes_to_copy`